### Hierarchy

- unknown
  - OfferAvailabilityRequest

## Index

### Constructors

- constructor

### Methods

- addSupportedCapabilities
- clearPubKeyRing
- clearSupportedCapabilitiesList
- clearTradeRequest
- getIsTakerApiUser
- getOfferId
- getPubKeyRing
- getSupportedCapabilitiesList
- getTakersTradePrice
- getTradeRequest
- getUid
- hasPubKeyRing
- hasTradeRequest
- serializeBinary
- setIsTakerApiUser
- setOfferId
- setPubKeyRing
- setSupportedCapabilitiesList
- setTakersTradePrice
- setTradeRequest
- setUid
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new OfferAvailabilityRequest(): OfferAvailabilityRequest

- Inherited from jspb.Message.constructor

  #### Returns OfferAvailabilityRequest

## Methods

### addSupportedCapabilities

- addSupportedCapabilities(value: number, index?: number): OfferAvailabilityRequest

- - Defined in src/protobuf/pb_pb.d.ts:734

  #### Parameters

  - ##### value: number

  - ##### Optional index: number

  #### Returns OfferAvailabilityRequest

### clearPubKeyRing

- clearPubKeyRing(): OfferAvailabilityRequest

- - Defined in src/protobuf/pb_pb.d.ts:726

  #### Returns OfferAvailabilityRequest

### clearSupportedCapabilitiesList

- clearSupportedCapabilitiesList(): OfferAvailabilityRequest

- - Defined in src/protobuf/pb_pb.d.ts:733

  #### Returns OfferAvailabilityRequest

### clearTradeRequest

- clearTradeRequest(): OfferAvailabilityRequest

- - Defined in src/protobuf/pb_pb.d.ts:745

  #### Returns OfferAvailabilityRequest

### getIsTakerApiUser

- getIsTakerApiUser(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:739

  #### Returns boolean

### getOfferId

- getOfferId(): string

- - Defined in src/protobuf/pb_pb.d.ts:720

  #### Returns string

### getPubKeyRing

- getPubKeyRing(): undefined | PubKeyRing

- - Defined in src/protobuf/pb_pb.d.ts:723

  #### Returns undefined | PubKeyRing

### getSupportedCapabilitiesList

- getSupportedCapabilitiesList(): number[]

- - Defined in src/protobuf/pb_pb.d.ts:731

  #### Returns number[]

### getTakersTradePrice

- getTakersTradePrice(): number

- - Defined in src/protobuf/pb_pb.d.ts:728

  #### Returns number

### getTradeRequest

- getTradeRequest(): undefined | InitTradeRequest

- - Defined in src/protobuf/pb_pb.d.ts:742

  #### Returns undefined | InitTradeRequest

### getUid

- getUid(): string

- - Defined in src/protobuf/pb_pb.d.ts:736

  #### Returns string

### hasPubKeyRing

- hasPubKeyRing(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:725

  #### Returns boolean

### hasTradeRequest

- hasTradeRequest(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:744

  #### Returns boolean

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:747

  #### Returns Uint8Array

### setIsTakerApiUser

- setIsTakerApiUser(value: boolean): OfferAvailabilityRequest

- - Defined in src/protobuf/pb_pb.d.ts:740

  #### Parameters

  - ##### value: boolean

  #### Returns OfferAvailabilityRequest

### setOfferId

- setOfferId(value: string): OfferAvailabilityRequest

- - Defined in src/protobuf/pb_pb.d.ts:721

  #### Parameters

  - ##### value: string

  #### Returns OfferAvailabilityRequest

### setPubKeyRing

- setPubKeyRing(value?: PubKeyRing ): OfferAvailabilityRequest

- - Defined in src/protobuf/pb_pb.d.ts:724

  #### Parameters

  - ##### Optional value: PubKeyRing

  #### Returns OfferAvailabilityRequest

### setSupportedCapabilitiesList

- setSupportedCapabilitiesList(value: number[]): OfferAvailabilityRequest

- - Defined in src/protobuf/pb_pb.d.ts:732

  #### Parameters

  - ##### value: number[]

  #### Returns OfferAvailabilityRequest

### setTakersTradePrice

- setTakersTradePrice(value: number): OfferAvailabilityRequest

- - Defined in src/protobuf/pb_pb.d.ts:729

  #### Parameters

  - ##### value: number

  #### Returns OfferAvailabilityRequest

### setTradeRequest

- setTradeRequest(value?: InitTradeRequest ): OfferAvailabilityRequest

- - Defined in src/protobuf/pb_pb.d.ts:743

  #### Parameters

  - ##### Optional value: InitTradeRequest

  #### Returns OfferAvailabilityRequest

### setUid

- setUid(value: string): OfferAvailabilityRequest

- - Defined in src/protobuf/pb_pb.d.ts:737

  #### Parameters

  - ##### value: string

  #### Returns OfferAvailabilityRequest

### toObject

- toObject(includeInstance?: boolean): OfferAvailabilityRequest . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:748

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns OfferAvailabilityRequest . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): OfferAvailabilityRequest

- - Defined in src/protobuf/pb_pb.d.ts:751

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns OfferAvailabilityRequest

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: OfferAvailabilityRequest, reader: BinaryReader): OfferAvailabilityRequest

- - Defined in src/protobuf/pb_pb.d.ts:752

  #### Parameters

  - ##### message: OfferAvailabilityRequest

  - ##### reader: BinaryReader

  #### Returns OfferAvailabilityRequest

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: OfferAvailabilityRequest, writer: BinaryWriter): void

- - Defined in src/protobuf/pb_pb.d.ts:750

  #### Parameters

  - ##### message: OfferAvailabilityRequest

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: OfferAvailabilityRequest ): OfferAvailabilityRequest . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:749

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: OfferAvailabilityRequest

  #### Returns OfferAvailabilityRequest . AsObject

Generated using TypeDoc